#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

setup(

    name="tk2048",

    version="1.4",            # must be PEP 440 compliant by now!

    packages=find_packages(),
    include_package_data=True,
    scripts=["bin/tk2048.sh", "bin/tk2048.bat"],
    requires=["tkinter"],
    description="tk2048 - Python/tkinter port of "
    "Gabriele Cirulli's 2048 famous Game",
    author="Raphaël SEBAN",
    author_email="motus@laposte.net",
    maintainer="Raphaël SEBAN",
    maintainer_email="motus@laposte.net",
    url="https://github.com/tarball69/tk2048",
    download_url="https://github.com/tarball69/tk2048",
    keywords=["tkinter", "game", "2048"],
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Other Environment",
        "Environment :: Win32 (MS Windows)",
        "Environment :: X11 Applications",
        "Environment :: X11 Applications :: Gnome",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: OSI Approved",
        "License :: OSI Approved :: GNU General Public License (GPL)",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Natural Language :: English",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
        "Operating System :: OS Independent",
        "Operating System :: POSIX",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.2",
        "Programming Language :: Python :: 3.3",
        "Programming Language :: Python :: 3.4",
        "Topic :: Games/Entertainment",
        "Topic :: Games/Entertainment :: Board Games",
        "Topic :: Games/Entertainment :: Puzzle Games",
    ],
    license="Licensed under GNU General Public License v3.",
    long_description="""
tk2048 - Python/tkinter port of Gabriele Cirulli's 2048 famous game.

This game is a **freefullware** (see below).


What's new?
-----------

* Made game compatible with Python >= 2.7 and Python >= 3.2 language
  versions.


What is a freefullware?
-----------------------

A **freefullware** is a new kind of software:

* Free as in Freedom;
* Free of charge (gratis);
* Ad-free (no advertisement at all);
* Donate-free (no 'Donate' button at all);
* 100% virus-free;
* no counterpart at all;
* really absolutely free.

Just get it and enjoy.

That's all, folks!
"""
)
